package com.bonus.canteen.core.common.sysfile.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

public class SysFileUploadDTO implements Serializable {
   @ApiModelProperty("base64文件")
   private @NotBlank(
   message = "base64文件不能为空 ^_^"
) String base64File;
   @ApiModelProperty("上传标识")
   private @NotBlank(
   message = "上传标识不能为空 ^_^"
) String uploadKey;

   public String getBase64File() {
      return this.base64File;
   }

   public String getUploadKey() {
      return this.uploadKey;
   }

   public void setBase64File(final String base64File) {
      this.base64File = base64File;
   }

   public void setUploadKey(final String uploadKey) {
      this.uploadKey = uploadKey;
   }

}
